/************************************************************************
*                                                                       *
* Copyright (c) 1993                                                    *
* The Regents of The University of Michigan                             *
* Universities Research Association, Inc.                               *
* All Rights Reserved                                                   *
*                                                                       *
*                Authors:                                               *
*                        R. Ball, C. Timmermans, UofM                   *
*                        Y. Takeuchi, T.I.T.                            *
*                        M. Nomachi, KEK                                *
*                        A. Fry, C. Erbas, D. Brenner, SSCL             *
*                                                                       *
************************************************************************/

#include "camlib.h"    /* for just NAF */
extern int CWLAM();


error_exit(status)
int status; {
    perror(strerror(status));
    exit(status);
}

int buffer[10000];
/* Main */
lecroy() {
    int status, i1, q, x, ii, z,mode;
    short j;
    int slot=16,function,address;

/* Initialization part */
    status = CAMOPN( );
    if( status ) error_exit(status);
    printf("CAM_Open : OK\n");
    status = CSETBR(0);
    if( status ) error_exit(status);
    printf("CSETBR   : OK\n");
    status = CSETCR(0);
    if( status ) error_exit(status);
    printf("CSETCR   : OK\n");
    status = CGENZ();
    if( status ) error_exit(status);
    printf("CGENZ    : OK\n");
    status = CGENC();
    if( status ) error_exit(status);
    printf("CGENC    : OK\n");
    status = CSETI();
    if( status ) error_exit(status);
    printf("CSETI    : OK\n");
    status = CREMI();
    if( status ) error_exit(status);
    printf("CREMI    : OK\n");
    CELAM(0xffffff);
    CAMACW(NAF(16,0,9),&j,&q,&x);
    printf("Clear module and LAM q %d, x %d\n",q,x);
    CAMACW(NAF(16,0,8),&j,&q,&x);
    printf("Test LAM q %d, x %d\n",q,x);
    CAMACW(NAF(16,0,24),&j,&q,&x);
    printf("Disable LAM q %d x %d\n",q,x);
    CAMACW(NAF(16,0,8),&j,&q,&x);
    printf("Test LAM q %d, x %d\n",q,x);
    CAMACW(NAF(16,0,26),&j,&q,&x);
    printf("Enable LAM q %d x %d\n",q,x);
    CWLAM(10);
    for (ii=0;ii<=11;ii++) {
      CAMACW(NAF(16,ii,2),&j,&q,&x);
      printf("Reading channel %d value 0x%x x %d q %d\n",ii,j,x,q);
    }
    CDLAM(); 
    CCLOSE(); 
}











