/*************************************************
 * CVS Log
 * cc_main.h,v
 * Revision 1.1.1.1  1993/07/14  19:42:30  dbrenner
 * UNIDAQ 2.1 distribution - July 14,1993
 *
*************************************************/
/* File name     : cc_main.h
 * Creation date : August 1991
 * Modified      : July 1992
 * Author        : Y.Yasu, Online group, Physics department, KEK
 */


/*#define DEBUG*/
#define printf uprintf

#define CC_DEBUG_LEVEL 10
#define CC_DEBUG_LIST

#define CC_K_BUSY               1 /* CAMAC device driver is busy */
#define CC_K_READY              0 /* CAMAC device driver is ready */

#define CC_CAMAC_Q              2
#define CC_CAMMC_X              4

#define CC_K_SIGNAL             SIGUSR1

/* For Kinetics List Processing */
#define CC_KLIST_YES            1
#define CC_KLIST_NO             0
#define CC_KLIST_CMAINIT        0

struct klist {
    char name[9];
    unsigned short cma;
    unsigned short wc;
  };

struct camhist {
    int spl;
    int loop;
    int *data;
};

#define VBALLOC_FLAG ( VME_DMA | VMEA24D16 | VME_BS_BYTE )
#define Tolong(i)  (cc_ptr_list[(i)]+(cc_ptr_list[(i)+1]<<16))
