/*
 * novadump 
 */

#include <sys/types.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <stdio.h>

char command[] = {"dump"};
char buffer[100];

main(argc,argv) int argc; char **argv; {
  int rval, sock, i;
  struct sockaddr_un server;

  /*
   * create socket
   */
  sock = socket(AF_UNIX,SOCK_STREAM,0);
  if (sock<0) {
    perror("opening stream socket");
    exit(1);
  }

  /*
   * connect socket
   */
  server.sun_family = AF_UNIX;
  if (argc>1) strcpy(server.sun_path,argv[1]);
  else        strcpy(server.sun_path,"/tmp/nova");
  if (connect(sock,&server,sizeof(struct sockaddr_un)) < 0) {
    close(sock);
    perror("connecting stream socket");
    exit(1);
  }

  /*
   * send command
   */
  rval = write(sock,command,strlen(command));
  if (rval<0)
    perror(" writing on stream socket");
  while(1) {
    for(i=0;i<100;i++) {
      rval = read(sock,&buffer[i],1);
      if (rval<=0) break;
      if (buffer[i]=='!') break;
    }
    buffer[i]=0;
    printf("%s\n",buffer);
    if (rval<=0) break;
  }
  exit(0);
}
