/*************************************************
 * ipc_msg.h,v
*************************************************/

struct rsp_send {
	char procname[100];
	char varname[100];
};
typedef struct rsp_send rsp_send;
bool_t xdr_rsp_send();


struct rsp_ret {
	short type;
	int i_val;
	float f_val;
	char s_val[150];
	int rtcode;
};
typedef struct rsp_ret rsp_ret;
bool_t xdr_rsp_ret();


struct rsp_send_all {
	char procname[100];
	int valsize;
	int varsize;
};
typedef struct rsp_send_all rsp_send_all;
bool_t xdr_rsp_send_all();


struct rsp_ret_all {
	short type[100];
	int i_val[100];
	float f_val[100];
	char varname[5000];
	char s_val[5000];
	int n_var;
	int rtcode;
};
typedef struct rsp_ret_all rsp_ret_all;
bool_t xdr_rsp_ret_all();


#define MESSAGEPROG ((u_long)99)
#define MESSAGEVERS ((u_long)1)
#define SENDMESSAGE ((u_long)1)
extern int *sendmessage_1();
#define CHECKPROCESS ((u_long)2)
extern int *checkprocess_1();
#define STARTPROCESS ((u_long)3)
extern int *startprocess_1();
#define READSP ((u_long)4)
extern struct rsp_ret *readsp_1();
#define READSPALL ((u_long)5)
extern struct rsp_ret_all *readspall_1();

