      SUBROUTINE ANA_INIT()
      PARAMETER (MAXPAGES=100)
      COMMON /PAWC/HMEMORY(200000)
c
      character*8 nt_tmch(34)
      data nt_tmch/'nhits','expdt',
     >'dt01','dt02','dt03','dt04','dt05','dt06','dt07','dt08',
     >'dt09','dt10','dt11','dt12','dt13','dt14','dt15','dt16',
     >'dt17','dt18','dt19','dt20','dt21','dt22','dt23','dt24',
     >'dt25','dt26','dt27','dt28','dt29','dt30','dt31','dt32'/
c
       CALL HLIMAP(200000,'TMC')
       print *, 'Creating the histo'
c
       call hbookn(100,'tmc varaibles',34,' ',1000,nt_tmch)
c
       RETURN
       END


       SUBROUTINE ANA_EXEC(IDATA,IHEADER)
       INTEGER IDATA(*), IHEADER(*)
       real    tmcdt(32)
       real    nt_tmc(34)
       COMMON /PAWC/HMEMORY(200000)
c
c Initialization
       do 10 ich = 1, 32
         tmcdt(ich) = 0.0
  10   continue
       do 20 iev = 1, 34
         nt_tmc(iev) = 0.0
  20   continue
c
c Change idata array into more convinient tmcdt array.      
c Argument of tmcdt represents channel number
       do 110 ich = 1, 32
         do 120 iev = 4, idata(1)-1, 2
           if (ich .eq. idata(iev)) then
             tmcdt(ich) = float(idata(iev+1))
             go to 110
           end if
  120    continue
  110  continue 
c
c Fill n-tuple array
       nt_tmc(1) = float(idata(1)/2-1)                  ! Number of hits
       nt_tmc(2) = float(idata(2))			! expected dt
c
       do 210 ich = 1, 32
         if (tmcdt(ich).ne.0.0) 
     >   nt_tmc(ich+2) = float(idata(3)) - tmcdt(ich)
  210  continue
c         
       call hfn(100,nt_tmc)
C
       RETURN
       END
