c*************************************************
c hcreatem.f,v
c*************************************************
*CMZ :  4.14/02 02/03/92  22.06.02  by  Rene Brun
*-- Author :    Fons Rademakers   20/03/91
*-- Modified :  Wojtek Burkot     02/03/91
      INTEGER FUNCTION HCREATEM(MFILE, IBASE, ISIZE, IOFFST)

************************************************************************
*                                                                      *
* HCREATEM                                                             *
*                                                                      *
* Create a global section. This routine causes the pages at ICOMAD     *
* and continuing for at most ISIZE words (1 word = 4 bytes) to be      *
* mapped from file MFILE. MFILE will be created in the /tmp directory. *
* IOFFST is the offset between the address of the common starting at   *
* IBASE and the address of ICOMAD. The space in ICOMAD can then be     *
* addressed like: IBASE(IOFFST+1,...).                                 *
* On successful completion this function returns 0. In case of an      *
* error -ERRNO is returned.                                            *
* HCREATEM is an interface routine that calls the C routine HCREATEI.  *
*                                                                      *
* After a global section has been created by this function, other      *
* processes can use the data in this global section via the functions  *
* HMAPM and HFREEM.                                                    *
*                                                                      *
************************************************************************
*
      CHARACTER*(*) MFILE
      INTEGER       ICOMAD(1), ISIZE,IBASE(1), HCREATEI
*
      PARAMETER (MFEN=800000000)
      CALL UCTOH(MFILE,MKEY,4,4)
************************************************************************
* modification :change ICOMAD(1) on input to required address of       *
* mapping. MUST! be higher in memory than PAW common to assure         *
* proper action of MZSTORE                                             *
************************************************************************
      ICOMAD(1)=LOCF(ICOMAD)+ MFEN
      HCREATEM = HCREATEI(MKEY, ISIZE, ICOMAD)
      print *,ICOMAD(1)
      IOFFST=ICOMAD(1)-LOCF(IBASE(1))
*
      END



