/*************************************
 This file is modified for collector1
      (original: pseudo_event.c)
           on 6 Dec.1994
           by M.Tairadate.
**************************************/
/*************************************************
 * CVS Log
 * pseudo_event.c,v
 * Revision 1.3  1993/09/27  19:50:23  stipe
 * added pseudo_init function and length check into pseudo_event
 *
 * Revision 1.2  1993/07/30  15:20:18  ball
 * modify for UNIDAQ v2.2 changes
 *
 * Revision 1.1.1.1  1993/07/14  19:43:29  dbrenner
 * UNIDAQ 2.1 distribution - July 14,1993
 *
*************************************************/
/************************************************************************
*                                                                       *
* Copyright (c) 1993                                                    *
* The Regents of The University of Michigan                             *
* Universities Research Association, Inc.                               *
* All Rights Reserved                                                   *
*                                                                       *
*                Authors:                                               *
*                        R. Ball, C. Timmermans, UofM                   *
*                        Y. Takeuchi, T.I.T.                            *
*                        M. Nomachi, KEK                                *
*                        A. Fry, C. Erbas, D. Brenner, SSCL             *
*                                                                       *
************************************************************************/

extern int b_flush_request;
/* AAS 09/22/93 - added so PSEUDO can have its own max_length value */
pseudo_init( max_lengthP )
int *max_lengthP;     /* max length in 4 byte words for event */
{ 
  *max_lengthP = 10000;   /* modify here to return different max_length */
  return 0;
}

pseudo_event(max_length, event_length, buf)
int *buf, *event_length;
int *max_length;
{
  int gauss();

  *buf=gauss();
  printf("Generated data are    %d\n", *buf);

  sleep(1);

  *event_length=1;
  b_flush_request=1;
  
  return;
}

int gauss()
{
  int j, z;
  float x=0.0;
  for(j=1; j<=12; j++){
    x+=(float)rand()/2147483648.0;
  }
  z=10.0*(x-6.0)+50.0;
  return(z);
}

pseudo_begin()
{return;
}
pseudo_pause()
{return;
}
pseudo_resume()
{return;
}
pseudo_end()
{return;
}
